Page MenuHomePhabricator

[PowerPC][Power10] Implement Vector signed/unsigned __int128 overloads for the comparison builtins
ClosedPublic

Authored by Conanap on Sep 16 2020, 4:28 PM.

Details

Summary

This patch implements Vector signed/unsigned __int128 overloads for the comparison builtins.

Diff Detail

Unit TestsFailed

TimeTest
80 mswindows > LLVM.Other::change-printer.ll
Script: -- : 'RUN: at line 6'; c:\ws\w16n2-1\llvm-project\premerge-checks\build\bin\opt.exe -S -print-changed -passes=instsimplify 2>&1 -o /dev/null < C:\ws\w16n2-1\llvm-project\premerge-checks\llvm\test\Other\change-printer.ll | c:\ws\w16n2-1\llvm-project\premerge-checks\build\bin\filecheck.exe C:\ws\w16n2-1\llvm-project\premerge-checks\llvm\test\Other\change-printer.ll --check-prefix=CHECK_SIMPLE

Event Timeline

Conanap created this revision.Sep 16 2020, 4:28 PM
Conanap requested review of this revision.Sep 16 2020, 4:28 PM
lei added a subscriber: lei.Sep 18 2020, 7:05 AM

please fix the clang format issues.

llvm/include/llvm/IR/IntrinsicsPowerPC.td
365

nit: indentation

llvm/test/CodeGen/PowerPC/vec_cmpq.ll
14

please add the check for end of function.. eg // CHECK: ret <1 x i128>

amyk added a subscriber: amyk.Sep 18 2020, 8:44 AM

Please address clang-format issues and Lei's comments. Other than that, I think the patch LGTM.

llvm/test/CodeGen/PowerPC/vec_cmpq.ll
14

I think a check at the end of the function is a good idea. Probably like,

; CHECK: blr
amyk accepted this revision.Sep 18 2020, 9:45 AM

Forgot to approve this patch.

This revision is now accepted and ready to land.Sep 18 2020, 9:45 AM
This revision was landed with ongoing or failed builds.Sep 23 2020, 1:50 PM
This revision was automatically updated to reflect the committed changes.
Conanap marked an inline comment as done.